package com.palmnest.application.dto.input;

import java.io.Serializable;
import java.lang.reflect.Field;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

public class AirConditionerAddTimeMeetingInputDto implements Serializable{
	
	
	private static final long serialVersionUID = 4777916936621615844L;
	private String floorId;//楼层Id 暂时定一层
	private String roomNos;//会议室编码
	private String roomNames;//申请房号名称(名称,名称)
	private BigDecimal applyArea;//申请面积
	private String applyUser;//'申请人姓名',

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss") 
	private Date useStartTime;		//使用开始时间
    

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss") 
	private Date useEndTime;		//使用结束时间
    
	private Long virtualId;//企业ID
	private Long virAccountId;//企业账号ID
	private String billSource;
	private Integer billFrom;//单据来源
	private String meetingCode;//会议室订单加时 会议室订单号
	private Integer isFree;//会议室是否免费版 1是 0否

	
	private Integer isAppManageBook;	
	
	public String getFloorId() {
		return floorId;
	}
	public void setFloorId(String floorId) {
		this.floorId = floorId;
	}
	public String getRoomNames() {
		return roomNames;
	}
	public void setRoomNames(String roomNames) {
		this.roomNames = roomNames;
	}
	public BigDecimal getApplyArea() {
		return applyArea;
	}
	public void setApplyArea(BigDecimal applyArea) {
		this.applyArea = applyArea;
	}
	public String getApplyUser() {
		return applyUser;
	}
	public void setApplyUser(String applyUser) {
		this.applyUser = applyUser;
	}
	public Date getUseStartTime() {
		return useStartTime;
	}
	public void setUseStartTime(Date useStartTime) {
		this.useStartTime = useStartTime;
	}
	public Date getUseEndTime() {
		return useEndTime;
	}
	public void setUseEndTime(Date useEndTime) {
		this.useEndTime = useEndTime;
	}
	public Long getVirtualId() {
		return virtualId;
	}
	public void setVirtualId(Long virtualId) {
		this.virtualId = virtualId;
	}
	public Long getVirAccountId() {
		return virAccountId;
	}
	public void setVirAccountId(Long virAccountId) {
		this.virAccountId = virAccountId;
	}
	public String getBillSource() {
		return billSource;
	}
	public void setBillSource(String billSource) {
		this.billSource = billSource;
	}
	public Integer getBillFrom() {
		return billFrom;
	}
	public void setBillFrom(Integer billFrom) {
		this.billFrom = billFrom;
	}
	public String getMeetingCode() {
		return meetingCode;
	}
	public void setMeetingCode(String meetingCode) {
		this.meetingCode = meetingCode;
	}
	public String getRoomNos() {
		return roomNos;
	}
	public void setRoomNos(String roomNos) {
		this.roomNos = roomNos;
	}
	
	
	
	public Integer getIsAppManageBook() {
		return isAppManageBook;
	}
	public void setIsAppManageBook(Integer isAppManageBook) {
		this.isAppManageBook = isAppManageBook;
	}	
	
	public Integer getIsFree() {
		return isFree;
	}
	public void setIsFree(Integer isFree) {
		this.isFree = isFree;
	}
	
	@Override
	public String toString() {

		StringBuffer sb = new StringBuffer();
		try {
			Class t = this.getClass();
			Field[] fields = t.getDeclaredFields();
			for (int i = 0; i < fields.length; i++) {
				Field field = fields[i];
				field.setAccessible(true);
				sb.append("{");
				sb.append(field.getName());
				sb.append(":");
				
				if(null!=field.get(this)){
					sb.append(field.get(this).toString());
				}else{
					sb.append("");
				}
				
				
				sb.append("}");
		}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return sb.toString();
	}
	
}
